[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

base-config: "exec dpkg-reconfigure passwd" requires perl-modules?



This is on hppa, perl-modules is not part of base.

base-config    1.08
perl-base      5.6.1-3
passwd         20000902-6.1
boot-floppies  3.0.0
debconf        0.9.64

Installer doesn't prompt for root password, and doesn't offer to
create a normal user.  Instead, I get

 at /usr/share/perl/5.6.1/Getopt/Long.pm line 42
Can't locate auto/Getopt/Long/Configure.al in @INC (@INC contains: /usr/local/lib/perl/5.6.1 /usr/local/share/perl/5.6.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.6.1 /usr/share/perl/5.6.1 /usr/local/lib/site_perl /usr/lib/perl5/5.6 /usr/lib/perl5/5.005 .) at /usr/share/perl/5.6.1/Getopt/Long.pm line 142
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 71.
run-parts: /tmp/base-config.166/10passwd exited with return code 2


On a more complete system, I get

slab:/usr/src# dpkg -S /usr/share/perl/5.6.1/Getopt/Long.pm
perl-base: /usr/share/perl/5.6.1/Getopt/Long.pm
slab:/usr/src# dpkg -S auto/Getopt/Long/Configure.al
perl-modules: /usr/share/perl/5.6.1/auto/Getopt/Long/Configure.al


Is this due to my perl-base/passwd/debconf being not quite up to date,
or do others see the same thing?

Richard



Reply to: